Bug 242038 - sysutils/mstflint: Update to 4.14.0-3 with LITE support
Summary: sysutils/mstflint: Update to 4.14.0-3 with LITE support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hans Petter Selasky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-17 20:58 UTC by Olivier Cochard
Modified: 2020-08-03 15:10 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (slavash)


Attachments
update patch (10.31 KB, patch)
2019-11-17 20:58 UTC, Olivier Cochard
no flags Details | Diff
Patch to 4.13.3-2 (22.15 KB, patch)
2020-01-09 23:07 UTC, Olivier Cochard
no flags Details | Diff
Patch to 4.13.3-2 with LITE support (34.41 KB, patch)
2020-01-10 23:48 UTC, Olivier Cochard
no flags Details | Diff
New slave-port for the -lite version (1.33 KB, text/plain)
2020-01-10 23:49 UTC, Olivier Cochard
no flags Details
Patch to 4.13.3-2 with LITE support (34.52 KB, patch)
2020-01-16 10:45 UTC, Olivier Cochard
no flags Details | Diff
slave-port for the -lite version (1.89 KB, patch)
2020-01-16 10:47 UTC, Olivier Cochard
no flags Details | Diff
Patch to 4.14.0-3 with LITE support (34.75 KB, patch)
2020-07-20 20:12 UTC, Olivier Cochard
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Cochard freebsd_committer 2019-11-17 20:58:15 UTC
Created attachment 209213 [details]
update patch

Here is an upgrade and improvement of mstflint.
Add port options:
- mstfwmanager, to compile an easy to use firwmare manager (just have to run 'mstfwmanager --online -u' and it will automatically check existing firmware with latest online & download and upgrade.
- mstreg and mstlink. mstlink is useful to troubleshoot low level, like FEC incompatibility.
Because these new feature bring the crazy heavy libboost as dependency, a new option was added too (STATIC) to reduce a little bit the disk space consumed.

Sponsored by: Netflix
Comment 1 Olivier Cochard freebsd_committer 2019-11-27 20:45:15 UTC
Any news about?
Comment 2 Olivier Cochard freebsd_committer 2020-01-09 23:07:20 UTC
Created attachment 210577 [details]
Patch to 4.13.3-2

New patch to upgrade to 4.13.3-2.
Improved STATIC option that allow to build mstfwmanager with curl support removed.

With all 3 options enabled, the package is now consuming 67.9MiB (without other deps).
Comment 3 Olivier Cochard freebsd_committer 2020-01-10 23:48:20 UTC
Created attachment 210607 [details]
Patch to 4.13.3-2 with LITE support

New version that add support for upcomming new sub-port (mstflint-lite) that will include only mstconfig,mstfwmanager and mstlink in static mode.
Comment 4 Olivier Cochard freebsd_committer 2020-01-10 23:49:40 UTC
Created attachment 210608 [details]
New slave-port for the -lite version

New slave port for a -lite version (12.4MiB only), compiled in static mode:
- mstconfig
- mstfwmanager (without CURL support)
- mstlink
Comment 5 Olivier Cochard freebsd_committer 2020-01-15 22:53:45 UTC
I've a new version that include mstflint in the -lite port if you would.
Comment 6 Hans Petter Selasky freebsd_committer 2020-01-16 08:46:02 UTC
Feel free to update the patch in this PR.

I don't see any reason why we can't submit this.
Comment 7 Konstantin Belousov freebsd_committer 2020-01-16 08:50:58 UTC
A problem is that MLNX probably cannot review the port.  Ideally some port committer would look at this.

But just committing it should be fine as well.
Comment 8 Hans Petter Selasky freebsd_committer 2020-01-16 09:07:13 UTC
Adding my ports mentor pi@ .
Comment 9 Olivier Cochard freebsd_committer 2020-01-16 10:45:52 UTC
Created attachment 210787 [details]
Patch to 4.13.3-2 with LITE support

Adding mstflint to the -lite version
Comment 10 Olivier Cochard freebsd_committer 2020-01-16 10:47:32 UTC
Created attachment 210788 [details]
slave-port for the -lite version

the slave port with mstflint added
Comment 11 Olivier Cochard freebsd_committer 2020-01-16 10:49:25 UTC
Yes I would like a review too, specially about the -lite port that I found complex (lots of  custom patches) but very useful in our use case.
Comment 12 Olivier Cochard freebsd_committer 2020-03-02 22:10:39 UTC
Any news about ?
Comment 13 Olivier Cochard freebsd_committer 2020-04-08 19:29:14 UTC
Any news about?
Comment 14 slw 2020-07-20 13:01:54 UTC
MSTFLINT-4.14.0-3

@kstntnm kstntnm released this 13 days ago
Comment 15 Olivier Cochard freebsd_committer 2020-07-20 20:12:27 UTC
Created attachment 216609 [details]
Patch to 4.14.0-3 with LITE support

Here is an updated patch.
Will commit this in about 5 days because "committer timeout".
Comment 16 Hans Petter Selasky freebsd_committer 2020-08-03 12:05:06 UTC
Go ahead Oliver!
Comment 17 commit-hook freebsd_committer 2020-08-03 13:14:58 UTC
A commit references this bug:

Author: olivier
Date: Mon Aug  3 13:13:57 UTC 2020
New revision: 544066
URL: https://svnweb.freebsd.org/changeset/ports/544066

Log:
  Update to 4.14.0-3 and added new options:
  - MFWMANAGER to add mstfwmanager and mstarchive tools;
  - ADAB to add mstreg and mstlink tools;
  - STATIC to reduce the final packages size brings by libboost dependency;
  - Prepare the upcoming -lite sub port.

  PR:		242038
  Approved by:	hselasky (maintainer timeout)
  Sponsored by:	Netflix

Changes:
  head/sysutils/mstflint/Makefile
  head/sysutils/mstflint/distinfo
  head/sysutils/mstflint/files/
  head/sysutils/mstflint/files/extrat-LITE-patch-Makefile.am
  head/sysutils/mstflint/files/extrat-LITE-patch-cmdif_Makefile.am
  head/sysutils/mstflint/files/extrat-LITE-patch-common_Makefile.am
  head/sysutils/mstflint/files/extrat-LITE-patch-dev_mgt_Makefile.am
  head/sysutils/mstflint/files/extrat-LITE-patch-mlxconfig_Makefile.am
  head/sysutils/mstflint/files/extrat-LITE-patch-mlxreg_Makefile.am
  head/sysutils/mstflint/files/extrat-LITE-patch-mtcr_freebsd_Makefile.am
  head/sysutils/mstflint/files/extrat-LITE-patch-reg_access_Makefile.am
  head/sysutils/mstflint/files/extrat-LITE-patch-tools_layouts_Makefile.am
  head/sysutils/mstflint/files/extrat-patch-configure.ac
  head/sysutils/mstflint/files/extrat-patch-mlxarchive_Makefile.am
  head/sysutils/mstflint/files/extrat-patch-mlxarchive_mlxarchive_mfa2.cpp
  head/sysutils/mstflint/files/extrat-patch-mlxfwupdate_Makefile.am
  head/sysutils/mstflint/files/extrat-patch-mlxfwupdate_server_request.cpp
  head/sysutils/mstflint/files/patch-configure.ac
  head/sysutils/mstflint/files/patch-mlxfwupdate_Makefile.am
  head/sysutils/mstflint/files/patch-mlxfwupdate_cmd__line__params.cpp
  head/sysutils/mstflint/pkg-plist
Comment 18 commit-hook freebsd_committer 2020-08-03 15:10:18 UTC
A commit references this bug:

Author: olivier
Date: Mon Aug  3 15:10:02 UTC 2020
New revision: 544072
URL: https://svnweb.freebsd.org/changeset/ports/544072

Log:
  New sub-port: mstflint-lite including only some essential tools
  from mstflint (mstflint, mstconfig, mstfwmanager and mstlink).

  PR:		242038
  Approved by:	hselasky (maintainer timeout)
  Sponsored by:	Netflix

Changes:
  head/sysutils/Makefile
  head/sysutils/mstflint-lite/
  head/sysutils/mstflint-lite/Makefile
  head/sysutils/mstflint-lite/pkg-descr
  head/sysutils/mstflint-lite/pkg-plist